summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2006-05-06 17:57:16 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2006-05-06 17:57:16 +0000
commit4c0f10b88fe1b1bb12cdd01cfa08d3b1eaff271e (patch)
treec21617946e8f745456f45991dd9c14d416e57e11 /eclass
parentVersion bump. Proposed fix for Bug #132464 --- problems with afbinit and (diff)
downloadgentoo-2-4c0f10b88fe1b1bb12cdd01cfa08d3b1eaff271e.tar.gz
gentoo-2-4c0f10b88fe1b1bb12cdd01cfa08d3b1eaff271e.tar.bz2
gentoo-2-4c0f10b88fe1b1bb12cdd01cfa08d3b1eaff271e.zip
Replace cp -ax with cp -pPR and chown root:root with chown root:0, for crosscompilers on BSD userland.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kernel-2.eclass18
1 files changed, 9 insertions, 9 deletions
diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index 3ea314890ce3..4b140dbb38ba 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.175 2006/05/05 13:14:29 johnm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.176 2006/05/06 17:57:16 flameeyes Exp $
# Description: kernel.eclass rewrite for a clean base regarding the 2.6
# series of kernel with back-compatibility for 2.4
@@ -470,7 +470,7 @@ compile_manpages() {
install_universal() {
#fix silly permissions in tarball
cd ${WORKDIR}
- chown -R root:root *
+ chown -R root:0 *
chmod -R a+r-w+X,u+w *
cd ${OLDPWD}
}
@@ -480,7 +480,7 @@ install_headers() {
cd "${S}"
dodir ${ddir}/linux
- cp -ax "${S}"/include/linux/* ${D}/${ddir}/linux
+ cp -pPR "${S}"/include/linux/* ${D}/${ddir}/linux
rm -rf ${D}/${ddir}/linux/modules
# Handle multilib headers and crap
@@ -504,28 +504,28 @@ install_headers() {
;;
arm)
dodir ${ddir}/asm
- cp -ax "${S}"/include/asm/* "${D}"/${ddir}/asm
+ cp -pPR "${S}"/include/asm/* "${D}"/${ddir}/asm
[[ ! -e ${D}/${ddir}/asm/arch ]] && ln -sf arch-ebsa285 "${D}"/${ddir}/asm/arch
[[ ! -e ${D}/${ddir}/asm/proc ]] && ln -sf proc-armv "${D}"/${ddir}/asm/proc
;;
powerpc)
dodir ${ddir}/asm
- cp -ax "${S}"/include/asm/* ${D}/${ddir}/asm
+ cp -pPR "${S}"/include/asm/* ${D}/${ddir}/asm
if [[ -e "${S}"/include/asm-ppc ]] ; then
dodir ${ddir}/asm-ppc
- cp -ax "${S}"/include/asm-ppc/* ${D}/${ddir}/asm-ppc
+ cp -pPR "${S}"/include/asm-ppc/* ${D}/${ddir}/asm-ppc
fi
;;
*)
dodir ${ddir}/asm
- cp -ax "${S}"/include/asm/* ${D}/${ddir}/asm
+ cp -pPR "${S}"/include/asm/* ${D}/${ddir}/asm
;;
esac
if [[ -n ${multi_dirs} ]] ; then
local d ml_inc=""
for d in ${multi_dirs} ; do
dodir ${ddir}/asm-${d}
- cp -ax "${S}"/include/asm-${d}/* ${D}/${ddir}/asm-${d}/ || die "cp asm-${d} failed"
+ cp -pPR "${S}"/include/asm-${d}/* ${D}/${ddir}/asm-${d}/ || die "cp asm-${d} failed"
ml_inc="${ml_inc} ${multi_defs%% *}:${ddir}/asm-${d}"
multi_defs=${multi_defs#* }
@@ -535,7 +535,7 @@ install_headers() {
if kernel_is 2 6; then
dodir ${ddir}/asm-generic
- cp -ax "${S}"/include/asm-generic/* ${D}/${ddir}/asm-generic
+ cp -pPR "${S}"/include/asm-generic/* ${D}/${ddir}/asm-generic
fi
# clean up